petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexPointGlobalFieldRead

return read access to a field on a point in global array

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexPointGlobalFieldRead(DM dm,PetscInt point,PetscInt field,const PetscScalar *array,void *ptr)

Not Collective

### Input Arguments

| dm | - DM defining topological space
| point | - topological point
| field | - field number
| array | - array to index into

### Output Arguments

ptr -address of read reference to point data, type generic so user can place in structure; returns NULL if global point is not owned

### See Also

DMGetSection(), PetscSectionGetOffset(), PetscSectionGetDof(), DMPlexGetPointGlobal(), DMPlexPointLocalRead(), DMPlexPointGlobalRef()

### Level

intermediate

### Location

src/dm/impls/plex/plexpoint.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages